Bug 225768 - [patch] USES=linux silently ignores unsupported Linux packages from USE_LINUX
Summary: [patch] USES=linux silently ignores unsupported Linux packages from USE_LINUX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: David Naylor
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-02-08 18:47 UTC by David Naylor
Modified: 2018-09-15 08:03 UTC (History)
3 users (show)

See Also:
koobs: merge-quarterly?


Attachments
Patch USES=linux to ERROR if a Linux package is missing (418 bytes, patch)
2018-02-08 18:47 UTC, David Naylor
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Naylor freebsd_committer 2018-02-08 18:47:15 UTC
Created attachment 190437 [details]
Patch USES=linux to ERROR if a Linux package is missing

Is a port specifies a Linux package that does not exist then USES=linux silently ignores that package, instead of generating an ERROR for a non-existent dependency.  

The attached patch adds that safeguard.  

Would you like an exp-run for this?
Comment 1 Tijl Coosemans freebsd_committer 2018-05-02 08:14:09 UTC
Feel free to commit, but perhaps it's better to use DEV_ERROR?  Then users won't see build problems because of this.
Comment 2 commit-hook freebsd_committer 2018-08-07 16:41:26 UTC
A commit references this bug:

Author: dbn
Date: Tue Aug  7 16:40:53 UTC 2018
New revision: 476605
URL: https://svnweb.freebsd.org/changeset/ports/476605

Log:
  USES=linux: DEV_ERROR if linux package does not exist

  PR:		225768
  Approved by:	tijl@

Changes:
  head/Mk/Uses/linux.mk
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-08-07 22:34:24 UTC
Can/should this be MFH'd ?
Comment 4 Tijl Coosemans freebsd_committer 2018-08-08 12:12:24 UTC
It's not that important is it?
Comment 5 Mathieu Arnold freebsd_committer 2018-08-08 12:51:27 UTC
Also, there are almost no direct commits to the quarterly branch, so it will most certainly never be triggered.
Comment 6 David Naylor freebsd_committer 2018-09-15 08:03:12 UTC
Committed a while ago.